## How to use this LaTeX class

Clone this repo into your `TEXMF_LOCAL` directory (I suggest `/usr/local/texlive/texmf-local/tex/latex/local`). 

```
$ cd /usr/local/texlive/texmf-local/tex/latex
$ git clone https://git.solarchemist.se/config/texmf-latex.git local
```

Note: if you placed this repo in your TeXMF tree, you may want to remove the included `examples/` directory before
refreshing `texhash` or similar, and then you should be set.



## The LuaLaTeX UU thesis class

This is my own rewrite of [the official (but unsupported) XeLaTeX class for PhD thesis at Uppsala university](https://libguides.ub.uu.se/avhandling/latex).

To use it, start your main tex file with:

```
\RequirePackage{luatex85}
\documentclass{LuaUUThesis}
[... the rest of your document ...]
```

You will have to compile your document using `lualatex`, like this:
```
$ lualatex thesis.tex
```

But you probably use a nice makefile or something for that :-)


## The XeLaTeX UU thesis class

I have made some slight alterations to this class compared to the original UU class. Use it like this:

``` 
\documentclass{UUThesisTemplate}
```

Compile your document with `xelatex`.


## UU colour profiles (CMYK and RGB)

The CMYK and RGB colour definitions are entirely based on the [Uppsala university graphical 
profile](https://mp.uu.se/web/info/stod/kommunikation-riktlinjer/grafiskariktl) from around 2014. They are probably outdated now.

They simply use `xcolor` commands to define a bunch of colour names.
If you want to use any of these colour names in your document, load the package in your document preamble (choose CMYK or RGB colourspace depending on how your document will be printed).

```
\usepackage{xcolor} 
\usepackage{uuprintcolorscmyk}
\usepackage{uuprintcolorsrgb}
```

Please note that both `uuprintcolor*` packages depend on the `xcolor` package.



## Notes and references

> Note to self: your [Ansible luxor playbook](https://git.chepec.se/ansible/luxor) depends on this repo. 
> This repo lives on luxor at `/usr/local/texlive/texmf-local/tex/latex/local/`.


+ [LaTeX hack: Adding a custom .cls to your search 
path](http://matsguru.com/latex-hack-adding-a-custom-cls-to-your-search-path/)
+ [How to have a local package override default package](https://tex.stackexchange.com/questions/8357/how-to-have-local-package-override-default-package/8359#8359)
+ [How do I add a .sty file to my MacTeX/TeXShop 
installation?](https://tex.stackexchange.com/questions/10252/how-do-i-add-a-sty-file-to-my-mactex-texshop-installation)
+ [Undefined control sequence error for LuaLaTeX, TeX.SE](https://tex.stackexchange.com/questions/315025/lualatex-texlive-2016-standalone-undefined-control-sequence)
+ [Avhandlingsstöd Uppsala universitet, XeLaTeX mall](https://libguides.ub.uu.se/avhandling/latex)
